import RPi.GPIO as GPIO
import time
import datetime
import os
 
GPIO.setmode( GPIO.BCM )
GPIO.setup(23, GPIO.IN, pull_up_down=GPIO.PUD_DOWN) #IR
GPIO.setup(6, GPIO.OUT) #LED GREEN
 
while 1 :
	time.sleep(0.1) # 0.1 sec
	ir_detect = GPIO.input( 23 ) #IR Read
	GPIO.output( 6, ir_detect ) #LED ON
	if ir_detect == 1:
		today = datetime.datetime.today()
		filename =  "%04d%02d%02d%02d%02d%02d" % (today.year,today.month, today.day,today.hour,today.minute,today.second)
		command = "raspistill -w 320 -h 200 -ss 300000 -ev -3 -ISO 100 -awb off -awbg 1.0,1.0 -n -t 100 -o /tmp/%s.jpg" % (filename)
		os.system(command)
		time.sleep(3.0) # 3.0 sec
